/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { MDCResizeObserver } from '@material/linear-progress/types';
import { LitElement, PropertyValues, TemplateResult } from 'lit';
/** @soyCompatible */
export declare class LinearProgressBase extends LitElement {
    protected rootEl: HTMLElement;
    indeterminate: boolean;
    progress: number;
    buffer: number;
    reverse: boolean;
    closed: boolean;
    /** @soyPrefixAttribute */
    ariaLabel: string;
    protected stylePrimaryHalf: string;
    protected stylePrimaryFull: string;
    protected styleSecondaryQuarter: string;
    protected styleSecondaryHalf: string;
    protected styleSecondaryFull: string;
    protected animationReady: boolean;
    protected closedAnimationOff: boolean;
    protected resizeObserver: MDCResizeObserver | null;
    connectedCallback(): void;
    /**
     * @soyTemplate
     */
    protected render(): TemplateResult;
    update(changedProperties: Map<string, string>): void;
    firstUpdated(changed: PropertyValues): Promise<void>;
    protected syncClosedState(): void;
    protected updated(changed: PropertyValues): void;
    disconnectedCallback(): void;
    protected attachResizeObserver(): void;
    protected calculateAndSetAnimationDimensions(width: number): void;
    protected restartAnimation(): Promise<void>;
    open(): void;
    close(): void;
}
